Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14145/?format=api
{ "ob_id": 14145, "uuid": "413106c159b94be58f0561c3a66837dc", "title": "Berlin Stratospheric: Climatological data for a 30-year and 37-year period of geopotential height and temperature measurements", "abstract": "This is a copy of The Berlin Stratospheric Data Series provided to the BADC by K. Labitzke and her collaborators (2002) as a CD from the Meteorological Institute, Free University Berlin. This data set contains temperature and geopotential height data on the 100, 50, 30, 10 mb pressure surfaces produced for a 30-year and 37-year period, at the Meteorological Institute, Free University of Berlin.", "keywords": "Berlin Stratospheric, Height, Temperature, Climate", "publicationState": "published", "dataPublishedTime": "2007-02-09T16:38:20", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14146/?format=api", "dataPath": "/badc/CDs/berlin_strat/data/longmean", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1394847, "numberOfFiles": 290, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/249/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/13/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25382/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api" ], "dataLineage": "This is a copy of The Berlin Stratospheric Data Series, from radiosonde data and rocket observations, provided to the BADC by K. Labitzke and her collaborators (2002) as a CD from the Meteorological Institute, Free University Berlin.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/907/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54275/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54274/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54276/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54278/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54279/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54280/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54281/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54277/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/921/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }